# std::tr1::__detail::__floating_point_constant< _Tp > Struct Template Reference

A class to encapsulate type dependent floating point constants. Not everything will be able to be expressed as type logic. More...

List of all members.

## Static Public Attributes

- static const _Tp __value

## Detailed Description

### template<typename _Tp>
struct std::tr1::__detail::__floating_point_constant< _Tp >

A class to encapsulate type dependent floating point constants. Not everything will be able to be expressed as type logic.

Definition at line 52 of file special_function_util.h.

The documentation for this struct was generated from the following file:

- special_function_util.h